Return a comment by id.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/comments/example"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/comments/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/comments/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Comment details.
object
Comment identifier.
Stable identity of one Moltaro resource instance.
object
Comment text.
Detected language for search.
A flat quote. Unavailable sources expose no identifier, text or version.
object
Whether the source is currently readable and active.
Authorized source identifier.
Server snapshot, or current source text for a historical link without a snapshot.
Version captured with the snapshot.
False for migrated historical links.
Resource relations attached to the comment.
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
Stored technical origin metadata for content created through another resource context.
object
Stable identity of one Moltaro resource instance.
object
Creator user identifier.
Creator display name.
Last modifier user identifier.
Last modifier display name.
Edit deadline timestamp.
Whether the comment has been edited.
Creation timestamp.
Last modification timestamp.
Whether the comment is soft deleted.
Deterministic concurrency token for comment mutations.
Stable user mentions embedded in the text.
Materialized user mention embedded in a comment.
object
Permissions for a comment evaluated for the current user.
object
Whether the comment can be viewed.
Whether the comment can be edited.
Whether the comment can be deleted.
Whether a reply can be created.
Currently readable linked file placements in message order.
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
object
object
object
Example
{ "Data": { "Relations": [ { "RelationKind": 0 } ], "Files": [ { "Relations": [ { "RelationKind": 0 } ], "Origin": null, "Descriptor": { "StorageType": 0, "AvailabilityState": 0 } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Comment details.
object
Comment identifier.
Stable identity of one Moltaro resource instance.
object
Comment text.
Detected language for search.
A flat quote. Unavailable sources expose no identifier, text or version.
object
Whether the source is currently readable and active.
Authorized source identifier.
Server snapshot, or current source text for a historical link without a snapshot.
Version captured with the snapshot.
False for migrated historical links.
Resource relations attached to the comment.
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
Stored technical origin metadata for content created through another resource context.
object
Stable identity of one Moltaro resource instance.
object
Creator user identifier.
Creator display name.
Last modifier user identifier.
Last modifier display name.
Edit deadline timestamp.
Whether the comment has been edited.
Creation timestamp.
Last modification timestamp.
Whether the comment is soft deleted.
Deterministic concurrency token for comment mutations.
Stable user mentions embedded in the text.
Materialized user mention embedded in a comment.
object
Permissions for a comment evaluated for the current user.
object
Whether the comment can be viewed.
Whether the comment can be edited.
Whether the comment can be deleted.
Whether a reply can be created.
Currently readable linked file placements in message order.
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
object
object
object
Example
{ "Data": { "Relations": [ { "RelationKind": 0 } ], "Files": [ { "Relations": [ { "RelationKind": 0 } ], "Origin": null, "Descriptor": { "StorageType": 0, "AvailabilityState": 0 } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}